=== debian/changelog ===
flatbuffers (2.0.8+dfsg1-6build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:47:47 +0200

flatbuffers (2.0.8+dfsg1-6) unstable; urgency=medium

  * d/control: Fix Breaks and Replaces. (Closes: #1043102)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 17:28:38 +0900

flatbuffers (2.0.8+dfsg1-5) unstable; urgency=medium

  * Change the package to install pkg-config file to libflatbuffers-dev.
  * d/control: Add libflatbuffers2 (<< 2.0.8+dfsg1-4) to Breaks and Replaces.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 09:48:20 +0900

flatbuffers (2.0.8+dfsg1-4) unstable; urgency=medium

  * Fix invalid version number for pkg_resources.
    Thanks to Julian Gilbey <jdg@debian.org> for the patch. (Closes: #1004743)
  * Refresh symbols to fix FTBFS on amd64 (Closes: #1041257)
  * Give up tracking symbols for C++ library. (Closes: #1041257, #1015403)

 -- Mo Zhou <lumin@debian.org>  Mon, 17 Jul 2023 22:05:19 -0700

flatbuffers (2.0.8+dfsg1-3) unstable; urgency=medium

  * Add patch for missing header to fix FTBFS (Closes: #1037658)
  * Refresh symbols control file.
  * Fix/override lintian warnings/errors.
  * Remove unused lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Jul 2023 21:26:56 -0700

flatbuffers (2.0.8+dfsg1-2) unstable; urgency=medium

  * Refresh symbols control file for amd64.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Dec 2022 16:49:15 -0500

flatbuffers (2.0.8+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Security-Contact.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

  [ Mo Zhou ]
  * New upstream version 2.0.8+dfsg1 (Aug 2022)
  * Refresh remaining patches.
  * Update install control files.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 10:33:53 -0500
