=== debian/control ===
Source: flatbuffers
Priority: optional
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Mo Zhou <lumin@debian.org>
Build-Depends: cmake, debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://google.github.io/flatbuffers/
Vcs-Browser: https://salsa.debian.org/debian/flatbuffers
Vcs-Git: https://salsa.debian.org/debian/flatbuffers.git

Package: flatbuffers-compiler
Architecture: any
Multi-Arch: foreign
Depends:
 libflatbuffers2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: efficient cross platform serialization library - compiler
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the flat buffer compiler that is used for translating
 from .proto files (containing the definitions) to the language binding for the
 supported languages.

Package: flatbuffers-compiler-dev
Architecture: any
Multi-Arch: same
Depends:
 flatbuffers-compiler (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: efficient cross platform serialization library - cmake files
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the development cmake files needed to use
 flatbuffer-compiler in a cross compiling environment.

Package: libflatbuffers-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 flatbuffers-compiler-dev (= ${binary:Version}),
 libflatbuffers2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libflatbuffers2 (<< 2.0.8+dfsg1-5)
Conflicts: libflatbuffers2 (<< 2.0.8+dfsg1-5)
Description: efficient cross platform serialization library - development files
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the development headers and static libraries needed for
 writing C++ applications.

Package: libflatbuffers2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient cross platform serialization library - shared library
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains the runtime library needed for C++ applications.

Package: python3-flatbuffers
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: efficient cross platform serialization library - Python bindings
 FlatBuffers is an efficient cross platform serialization library for C++, C#,
 C, Go, Java, JavaScript, TypeScript, PHP, and Python. It was originally
 created at Google for game development and other performance-critical
 applications.
 .
 This package contains python3 flatbuffers API.
