## flatbuffers 23.5.26%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3 --builddirectory=$(CURDIR)
+	dh $@ --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DFLATBUFFERS_BUILD_SHAREDLIB=ON
+	dh_auto_configure -- -DFLATBUFFERS_BUILD_SHAREDLIB=ON -DCMAKE_POSITION_INDEPENDENT_CODE=ON
 
 override_dh_auto_build-arch:
 	dh_auto_build --arch
@@ -36,3 +36,7 @@
 			--root=$(CURDIR)/debian/python3-flatbuffers; \
 	done
 	find $(CURDIR)/debian/python3-flatbuffers -name 'flatbuffers-*-nspkg.pth' -delete
+
+execute_after_dh_auto_clean:
+	-$(RM) -rf python/build/ python/flatbuffers.egg-info/
+
