## flatbuffers 24.3.25

=== debian/changelog ===
flatbuffers (24.3.25-1+rpt1) trixie; urgency=medium

  [ Naushir Patuck ]
  * Update tree from debian/master to master
  * Add salsa-ci.yml
  * New upstream version 24.3.25

 -- NAUSH-P-DELL <naush@raspberrypi.com>  Wed, 17 Sep 2025 08:49:23 +0100
