=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: flatbuffers-compiler
 Architecture: any
 Multi-Arch: foreign
-Depends: libflatbuffers23.5.26 (= ${binary:Version}),
+Depends: libflatbuffers24.3.25 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: efficient cross platform serialization library - compiler
@@ -50,7 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: flatbuffers-compiler-dev (= ${binary:Version}),
-         libflatbuffers23.5.26 (= ${binary:Version}),
+         libflatbuffers24.3.25 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libflatbuffers2 (<< 2.0.8+dfsg1-7)
@@ -64,7 +64,7 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications.
 
-Package: libflatbuffers23.5.26
+Package: libflatbuffers24.3.25
 Section: libs
 Architecture: any
 Multi-Arch: same
